import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloadpoint/` + url, ...arg)

/**
 * 装货点位信息Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:54
 **/
export default {
	// 获取装货点位信息分页
	bizLoadPointPage(data) {
		return request('page', data, 'get')
	},
	// 提交装货点位信息表单 edit为true时为编辑，默认为新增
	bizLoadPointSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除装货点位信息
	bizLoadPointDelete(data) {
		return request('delete', data)
	},
	// 获取装货点位信息详情
	bizLoadPointDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取装卸点位列表
	getList(data){
		return request('getList',data,'get')
	}
}
