import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloaduser/` + url, ...arg)

/**
 * 装货点人员信息Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:56
 **/
export default {
	// 获取装货点人员信息分页
	bizLoadUserPage(data) {
		return request('page', data, 'get')
	},
	// 提交装货点人员信息表单 edit为true时为编辑，默认为新增
	bizLoadUserSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除装货点人员信息
	bizLoadUserDelete(data) {
		return request('delete', data)
	},
	// 获取装货点人员信息详情
	bizLoadUserDetail(data) {
		return request('detail', data, 'get')
	}
}
