import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizparkconfig/` + url, ...arg)

/**
 * 停车费配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 15:14
 **/
export default {
	// 获取停车费配置分页
	bizParkConfigPage(data) {
		return request('page', data, 'get')
	},
	// 提交停车费配置表单 edit为true时为编辑，默认为新增
	bizParkConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除停车费配置
	bizParkConfigDelete(data) {
		return request('delete', data)
	},
	// 获取停车费配置详情
	bizParkConfigDetail(data) {
		return request('detail', data, 'get')
	}
}
