import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizservicecustomer/` + url, ...arg)

/**
 * 服务客户管理Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:27
 **/
export default {
	// 获取服务客户管理分页
	bizServiceCustomerPage(data) {
		return request('page', data, 'get')
	},
	// 提交服务客户管理表单 edit为true时为编辑，默认为新增
	bizServiceCustomerSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除服务客户管理
	bizServiceCustomerDelete(data) {
		return request('delete', data)
	},
	// 获取服务客户管理详情
	bizServiceCustomerDetail(data) {
		return request('detail', data, 'get')
	}
}
