import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizservicecustomerflow/` + url, ...arg)

/**
 * 服务客户资金流水Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:40
 **/
export default {
	// 获取服务客户资金流水分页
	bizServiceCustomerFlowPage(data) {
		return request('page', data, 'get')
	},
	// 提交服务客户资金流水表单 edit为true时为编辑，默认为新增
	bizServiceCustomerFlowSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除服务客户资金流水
	bizServiceCustomerFlowDelete(data) {
		return request('delete', data)
	},
	// 获取服务客户资金流水详情
	bizServiceCustomerFlowDetail(data) {
		return request('detail', data, 'get')
	},
	// 取消
	bizServiceCustomerFlowCancelForm(data) {
		return request('cancel', data)
	}
}
