import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizsupplieraccount/` + url, ...arg)

/**
 * 供应商账号信息Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:47
 **/
export default {
	// 获取供应商账号信息分页
	bizSupplierAccountPage(data) {
		return request('page', data, 'get')
	},
	// 提交供应商账号信息表单 edit为true时为编辑，默认为新增
	bizSupplierAccountSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除供应商账号信息
	bizSupplierAccountDelete(data) {
		return request('delete', data)
	},
	// 获取供应商账号信息详情
	bizSupplierAccountDetail(data) {
		return request('detail', data, 'get')
	}
}
