/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizparkconfig.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizloadpoint.entity.BizLoadPoint;
import vip.xiaonuo.biz.modular.bizloadpoint.param.BizLoadPointPageParam;
import vip.xiaonuo.biz.modular.bizparkconfig.entity.BizParkConfig;
import vip.xiaonuo.biz.modular.bizparkconfig.param.BizParkConfigAddParam;
import vip.xiaonuo.biz.modular.bizparkconfig.param.BizParkConfigEditParam;
import vip.xiaonuo.biz.modular.bizparkconfig.param.BizParkConfigIdParam;
import vip.xiaonuo.biz.modular.bizparkconfig.param.BizParkConfigPageParam;

import java.util.List;

/**
 * 停车费配置Service接口
 *
 * @author fanzherong
 * @date  2025/05/29 15:14
 **/
public interface BizParkConfigService extends IService<BizParkConfig> {

    /**
     * 获取停车费配置分页
     *
     * @author fanzherong
     * @date  2025/05/29 15:14
     */
    Page<BizParkConfig> page(BizParkConfigPageParam bizParkConfigPageParam);

    /**
     * 添加停车费配置
     *
     * @author fanzherong
     * @date  2025/05/29 15:14
     */
    void add(BizParkConfigAddParam bizParkConfigAddParam);

    /**
     * 编辑停车费配置
     *
     * @author fanzherong
     * @date  2025/05/29 15:14
     */
    void edit(BizParkConfigEditParam bizParkConfigEditParam);

    /**
     * 删除停车费配置
     *
     * @author fanzherong
     * @date  2025/05/29 15:14
     */
    void delete(List<BizParkConfigIdParam> bizParkConfigIdParamList);

    /**
     * 获取停车费配置详情
     *
     * @author fanzherong
     * @date  2025/05/29 15:14
     */
    BizParkConfig detail(BizParkConfigIdParam bizParkConfigIdParam);

    /**
     * 获取停车费配置详情
     *
     * @author fanzherong
     * @date  2025/05/29 15:14
     **/
    BizParkConfig queryEntity(String id);

    /**
     * 获取停车费配置列表
     */
    List<BizParkConfig> getList(BizParkConfigPageParam bizParkConfigPageParam);
}
