/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizservicecustomer.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;

/**
 * 服务客户资金流水实体
 *
 * @author fanzherong
 * @date  2025/05/29 14:40
 **/
@Getter
@Setter
@TableName("biz_service_customer_flow")
public class BizServiceCustomerFlow extends CommonEntity {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 服务客户id */
    @Schema(description = "服务客户id")
    private String serviceCustomerId;

    /** 服务客户账户id */
    @Schema(description = "服务客户账户id")
    private String scAccountId;

    /** 操作类型  1：充值   2：消费 */
    @Schema(description = "操作类型")
    private String operateType;

    /** 操作前账户余额（充值或消费前账户余额） */
    @Schema(description = "操作前账户余额（充值或消费前账户余额）")
    private BigDecimal operateAmountBegin;

    /** 操作金额（充值或消费金额） */
    @Schema(description = "操作金额（充值或消费金额）")
    private BigDecimal operateAmount;

    /** 操作后账户余额（充值或消费后账户余额） */
    @Schema(description = "操作后账户余额（充值或消费后账户余额）")
    private BigDecimal operateAmountAfter;

    /** 数据状态   0正常    1取消 */
    @Schema(description = "数据状态")
    private String dataStatus;

    /** 取消说明 */
    @Schema(description = "取消说明")
    private String operateExplain;

}
