/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizservicecustomer.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizservicecustomer.entity.BizServiceCustomerAccount;
import vip.xiaonuo.biz.modular.bizservicecustomer.param.*;

import java.util.List;

/**
 * 服务客户账号管理Service接口
 *
 * @author fanzherong
 * @date  2025/05/29 14:39
 **/
public interface BizServiceCustomerAccountService extends IService<BizServiceCustomerAccount> {

    /**
     * 获取服务客户账号管理分页
     *
     * @author fanzherong
     * @date  2025/05/29 14:39
     */
    Page<BizServiceCustomerAccount> page(BizServiceCustomerAccountPageParam bizServiceCustomerAccountPageParam);

    /**
     * 添加服务客户账号管理
     *
     * @author fanzherong
     * @date  2025/05/29 14:39
     */
    void add(BizServiceCustomerAccountAddParam bizServiceCustomerAccountAddParam);

    /**
     * 编辑服务客户账号管理
     *
     * @author fanzherong
     * @date  2025/05/29 14:39
     */
    void edit(BizServiceCustomerAccountEditParam bizServiceCustomerAccountEditParam);

    /**
     * 删除服务客户账号管理
     *
     * @author fanzherong
     * @date  2025/05/29 14:39
     */
    void delete(List<BizServiceCustomerAccountIdParam> bizServiceCustomerAccountIdParamList);

    /**
     * 获取服务客户账号管理详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:39
     */
    BizServiceCustomerAccount detail(BizServiceCustomerAccountIdParam bizServiceCustomerAccountIdParam);

    /**
     * 获取服务客户账号管理详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:39
     **/
    BizServiceCustomerAccount queryEntity(String id);

    /**
     * 服务客户资金锁定
     *
     * @author sandy
     * @date  2025/06/04 09:13
     */
    void lock(BizServiceCustomerAccountLockParam bizServiceCustomerFlowLockParam);

    /**
     * 服务客户资金解锁
     *
     * @author sandy
     * @date  2025/06/04 09:13
     */
    void unlock(BizServiceCustomerAccountLockParam bizServiceCustomerFlowLockParam);

}
