/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizservicecustomer.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizservicecustomer.entity.BizServiceCustomerFlow;
import vip.xiaonuo.biz.modular.bizservicecustomer.param.*;

import java.util.List;

/**
 * 服务客户资金流水Service接口
 *
 * @author fanzherong
 * @date  2025/05/29 14:40
 **/
public interface BizServiceCustomerFlowService extends IService<BizServiceCustomerFlow> {

    /**
     * 获取服务客户资金流水分页
     *
     * @author fanzherong
     * @date  2025/05/29 14:40
     */
    Page<BizServiceCustomerFlow> page(BizServiceCustomerFlowPageParam bizServiceCustomerFlowPageParam);

    /**
     * 添加服务客户资金流水
     *
     * @author sandy
     * @date  2025/06/03 17:13
     */
    void add(BizServiceCustomerFlowAddParam bizServiceCustomerFlowAddParam);

    /**
     * 取消服务客户资金流水
     *
     * @author sandy
     * @date  2025/06/03 15:13
     */
    void cancel(BizServiceCustomerFlowCancelParam bizServiceCustomerFlowCancelParam);

    /**
     * 编辑服务客户资金流水
     *
     * @author fanzherong
     * @date  2025/05/29 14:40
     */
    void edit(BizServiceCustomerFlowEditParam bizServiceCustomerFlowEditParam);

    /**
     * 删除服务客户资金流水
     *
     * @author fanzherong
     * @date  2025/05/29 14:40
     */
    void delete(List<BizServiceCustomerFlowIdParam> bizServiceCustomerFlowIdParamList);

    /**
     * 获取服务客户资金流水详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:40
     */
    BizServiceCustomerFlow detail(BizServiceCustomerFlowIdParam bizServiceCustomerFlowIdParam);

    /**
     * 获取服务客户资金流水详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:40
     **/
    BizServiceCustomerFlow queryEntity(String id);

    /**
     * 锁定金额确定扣费服务客户资金流水
     *
     * @author sandy
     * @date  2025/06/04 09:13
     */
    void lockConsume(BizServiceCustomerAccountLockParam bizServiceCustomerFlowLockParam);

}
