/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizservicecustomer.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizservicecustomer.entity.BizServiceCustomer;
import vip.xiaonuo.biz.modular.bizservicecustomer.param.BizServiceCustomerAddParam;
import vip.xiaonuo.biz.modular.bizservicecustomer.param.BizServiceCustomerEditParam;
import vip.xiaonuo.biz.modular.bizservicecustomer.param.BizServiceCustomerIdParam;
import vip.xiaonuo.biz.modular.bizservicecustomer.param.BizServiceCustomerPageParam;

import java.util.List;

/**
 * 服务客户管理Service接口
 *
 * @author fanzherong
 * @date  2025/05/29 14:27
 **/
public interface BizServiceCustomerService extends IService<BizServiceCustomer> {

    /**
     * 获取服务客户管理分页
     *
     * @author fanzherong
     * @date  2025/05/29 14:27
     */
    Page<BizServiceCustomer> page(BizServiceCustomerPageParam bizServiceCustomerPageParam);

    /**
     * 添加服务客户管理
     *
     * @author fanzherong
     * @date  2025/05/29 14:27
     */
    void add(BizServiceCustomerAddParam bizServiceCustomerAddParam);

    /**
     * 编辑服务客户管理
     *
     * @author fanzherong
     * @date  2025/05/29 14:27
     */
    void edit(BizServiceCustomerEditParam bizServiceCustomerEditParam);

    /**
     * 删除服务客户管理
     *
     * @author fanzherong
     * @date  2025/05/29 14:27
     */
    void delete(List<BizServiceCustomerIdParam> bizServiceCustomerIdParamList);

    /**
     * 获取服务客户管理详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:27
     */
    BizServiceCustomer detail(BizServiceCustomerIdParam bizServiceCustomerIdParam);

    /**
     * 获取服务客户管理详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:27
     **/
    BizServiceCustomer queryEntity(String id);
}
